Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class RepeatWeekendsEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.beacm.RepeatWeekendsEnum

All Implemented Interfaces
  IDigestSupport, Serializable

    public class RepeatWeekendsEnum

extends CollabEnum
implements Serializable

The enumeration class that contains `RepeatWeekends` elements.

See Also
  Serialized Form

Field Summary
`static RepeatWeekends` | `DELETE` The delete weekend repeat rule.
`static RepeatWeekends` | `DONT_MOVE` The don't move weekend repeat rule.
`static RepeatWeekends` | `MOVE_TO_FRIDAY` The move to Friday weekend repeat rule.
`static RepeatWeekends` | `MOVE_TO_MONDAY` The move to Monday weekend repeat rule.
`static RepeatWeekends` | `MOVE_TO_NEAREST_WEEKDAY` The move to nearest weekday weekend repeat rule.
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_DELETE`
`static int` | `VALUE_DONT_MOVE`
`static int` | `VALUE_MOVE_TO_FRIDAY`
`static int` | `VALUE_MOVE_TO_MONDAY`
`static int` | `VALUE_MOVE_TO_NEAREST_WEEKDAY`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RepeatWeekendsEnum(Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RepeatWeekendsEnum(int iNumElements)` Constructor.

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DONT_MOVE

    public static final int VALUE_DONT_MOVE

See Also
  Constants Summary

### VALUE_MOVE_TO_FRIDAY

    public static final int VALUE_MOVE_TO_FRIDAY

See Also
  Constants Summary

### VALUE_MOVE_TO_MONDAY

    public static final int VALUE_MOVE_TO_MONDAY

See Also
  Constants Summary

### VALUE_MOVE_TO_NEAREST_WEEKDAY

    public static final int VALUE_MOVE_TO_NEAREST_WEEKDAY

See Also
  Constants Summary

### VALUE_DELETE

    public static final int VALUE_DELETE

See Also
  Constants Summary

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also
  Constants Summary

### DONT_MOVE

    public static final RepeatWeekends DONT_MOVE

  The don't move weekend repeat rule.

### MOVE_TO_FRIDAY

    public static final RepeatWeekends MOVE_TO_FRIDAY

  The move to Friday weekend repeat rule.

### MOVE_TO_MONDAY

    public static final RepeatWeekends MOVE_TO_MONDAY

  The move to Monday weekend repeat rule.

### MOVE_TO_NEAREST_WEEKDAY

    public static final RepeatWeekends MOVE_TO_NEAREST_WEEKDAY

  The move to nearest weekday weekend repeat rule.

### DELETE

    public static final RepeatWeekends DELETE

  The delete weekend repeat rule.

Constructor Detail

### RepeatWeekendsEnum

    protected RepeatWeekendsEnum(Class elementClass,
                                 int iNumElements,
                                 com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                 EnumElement defaultElement,
                                 String sInternalName,
                                 boolean bMaskable)

  Constructor.

### RepeatWeekendsEnum

    protected RepeatWeekendsEnum(int iNumElements)

  Constructor.

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved